ERROR: javax.xml.xpath.XPathExpressionException in Rainbow

6 views
Skip to first unread message

Manuel Souto Pico

unread,
Aug 30, 2022, 2:36:23 PM8/30/22
to okapi-users
Dear all,

I'm trying to create an OmegaT project with Rainbow for the XML file attached (using the default okp_xml filter, haven't customized it yet).

I do Utilities > Translation Kit Creation > Package format: OmegaT project > Execute, and then I get the following error message:

=== Start process
Input: /home/souto/Sync/PISA25/Tech/FilePrepp_OAT/01_Incoming/20220830/unit-sample.xml
ERROR: javax.xml.xpath.XPathExpressionException: javax.xml.transform.TransformerException: JAXP0801002: the compiler encountered an XPath expression containing '101' operators that exceeds the '100' limit set by 'FEATURE_SECURE_PROCESSING'.

Error count: 1, Warning count: 0
Process duration: 0h 0m 1s 160ms
=== End process

Could someone help me understand what is wrong?
Thanks.

Cheers, Manuel

unit-sample.xml

Chase Tingley

unread,
Aug 30, 2022, 4:41:58 PM8/30/22
to Manuel Souto Pico, okapi-users
Hi Manuel,

Can you post the java version you're using?  (Output of running `java -version`.)

I have not seen this message (and can't reproduce the problem), but I found this stackoverflow thread: https://stackoverflow.com/a/72833393/10630662
It looks like this may be something added to Oracle's JVM in one of their recent Java 11 releases.  Are you able to try the workaround that's included in that post?  It will require tweaking the java parameters that are passed to Rainbow at startup (by editing the wrapper script that runs it -- this depends on what platform you're using.)


--
You received this message because you are subscribed to the Google Groups "okapi-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to okapi-users...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/okapi-users/CABm46ba51%3Dz8ULiOdkai74vyr-OqJ9Vgx%3DqR9L3RgWhP10n-qQ%40mail.gmail.com.

Manuel Souto Pico

unread,
Aug 30, 2022, 4:53:00 PM8/30/22
to Chase Tingley, okapi-users
Thanks, Chase.

java -version
openjdk version "11.0.12" 2021-07-20
OpenJDK Runtime Environment 18.9 (build 11.0.12+7)
OpenJDK 64-Bit Server VM 18.9 (build 11.0.12+7, mixed mode)
 
I will try the workaround tomorrow.
Cheers, Manuel

jimbo

unread,
Sep 1, 2022, 10:43:46 AM9/1/22
to Chase Tingley, Manuel Souto Pico, okapi-users

This should be fixed in the latest 1.44.0 release - please let me know if you still have the issue.

Jim

Manuel Souto Pico

unread,
Sep 2, 2022, 4:21:40 AM9/2/22
to jimbo, Chase Tingley, okapi-users
Thanks, Jim.

I've just tried with version 1.44, I can confirm that I don't get the error message any more. Thanks a lot.

Cheers, Manuel
Reply all
Reply to author
Forward
0 new messages